[Previous] [Next] [Up] [Top]

### NAME

ft_simpleimageread,ft_simpleimagewrite,ft_imageread,ft_imagewrite -Fitsy FITS routines to read and write FITS images.

### SYNOPSIS

    int ft_simpleimageread(char *filename, FITSHead *headptr, void **dataptr, void ***data2dptr, int pixtype);
    int ft_simpleimagewrite(char *filename, FITSHead fits, float *data, int pixtype);
    int ft_imageread(File file, FITSHead *headptr, void **dataptr, void ***data2dptr, int pixtype);
    int ft_imagewrite(File file, FITSHead fits, float *data, int pixtype);

### PARAMETERS

- char *filename - FITS image file name.
- FITSHead *headptr - Returned pointer to FITS header
- void **dataptr - Returned pointer to FITS data.
- void ***data2dptr - Returned edge vector to data.
- int pixtype - pixtype to convert data to.
- FITSHead fits - FITS header to write.
- float *data - Data to write into FITS file.
- File file - File pointer to read header and data from.

### DESCRIPTION

#### ft_simpleimageread

Read a FITS image from the named file.

#### ft_simpleimagewrite

Write a FITS image to a named file.

#### ft_imageread

Read a FITS image from a file pointer.

#### ft_imagewrite

Write a FITS image to a file.

[Previous] [Next] [Up] [Top]